#-------------------------------------------------------------------------------
# Copyright (c) 2009 Giuseppe Buzzanca (PiDy) <giuseppebuzzanca@gmail.com>.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
# 
# Contributors:
#     Giuseppe Buzzanca (PiDy) <giuseppebuzzanca@gmail.com> - initial API and implementation
#-------------------------------------------------------------------------------

import wx

class blueSMSsender_New_Message(wx.Frame):
    def __init__(self, parent, *args, **kwds):
        self.pframe=parent
        # begin wxGlade: blueSMSsender_New_Message.__init__
        kwds["style"] = wx.DEFAULT_FRAME_STYLE
        wx.Frame.__init__(self, parent, size=(350,250), *args, **kwds)
        self.blueSMSsender_New_Message_Panel = wx.Panel(self, -1)
        self.blueSMSsender_New_Message_Stext = wx.StaticText(self.blueSMSsender_New_Message_Panel, -1, _("Message:"))
        self.blueSMSsender_New_Message_TCtrl = wx.TextCtrl(self.blueSMSsender_New_Message_Panel, -1, style=wx.TE_MULTILINE)
        self.blueSMSsender_New_Message_OKBtn = wx.Button(self.blueSMSsender_New_Message_Panel, wx.ID_OK, _("OK"))

        self.__set_properties()
        self.__do_layout()
        self.__do_evt()
        # end wxGlade

    def __set_properties(self):
        # begin wxGlade: blueSMSsender_New_Message.__set_properties
        self.SetTitle(_("New message"))
        _icon = wx.EmptyIcon()
        _icon.CopyFromBitmap(wx.Bitmap("./data/New.ico", wx.BITMAP_TYPE_ANY))
        self.SetIcon(_icon)
        # end wxGlade

    def __do_layout(self):
        # begin wxGlade: blueSMSsender_New_Message.__do_layout
        blueSMSsender_New_Message_Sizer = wx.BoxSizer(wx.VERTICAL)
        blueSMSsender_New_Message_VSizer = wx.BoxSizer(wx.VERTICAL)
        blueSMSsender_New_Message_VSizer.Add(self.blueSMSsender_New_Message_Stext, 0, wx.ALL|wx.ALIGN_CENTER_VERTICAL, 5)
        blueSMSsender_New_Message_VSizer.Add(self.blueSMSsender_New_Message_TCtrl, 1, wx.ALL|wx.EXPAND, 5)
        blueSMSsender_New_Message_VSizer.Add(self.blueSMSsender_New_Message_OKBtn, 0, wx.ALL|wx.ALIGN_CENTER_HORIZONTAL|wx.ALIGN_CENTER_VERTICAL, 5)
        self.blueSMSsender_New_Message_Panel.SetSizer(blueSMSsender_New_Message_VSizer)
        blueSMSsender_New_Message_Sizer.Add(self.blueSMSsender_New_Message_Panel, 1, wx.EXPAND, 0)
        self.SetSizer(blueSMSsender_New_Message_Sizer)
        #blueSMSsender_New_Message_Sizer.Fit(self)
        self.Layout()
        self.Centre()
        # end wxGlade

    def __do_evt(self):
        self.Bind(wx.EVT_BUTTON, self.OnSave, id=wx.ID_OK)

    def OnSave(self,event):
        if self.blueSMSsender_New_Message_TCtrl.IsEmpty():
            dlg = wx.MessageDialog(self,_('Message can\'t be empty'),_('Error'),wx.OK | wx.ICON_WARNING)
            dlg.ShowModal()
        else:
            self.pframe.OnInsert(self.blueSMSsender_New_Message_TCtrl.GetValue())
            self.Destroy()

# end of class blueSMSsender_New_Message


