#-------------------------------------------------------------------------------
# Copyright (c) 2009 Giuseppe Buzzanca (PiDy) <giuseppebuzzanca@gmail.com>.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
# 
# Contributors:
#     Giuseppe Buzzanca (PiDy) <giuseppebuzzanca@gmail.com> - initial API and implementation
#-------------------------------------------------------------------------------

import wx

class blueSMSsender_New_PhoneBook(wx.Frame):
    def __init__(self, parent, *args, **kwds):
        self.pframe=parent
        # begin wxGlade: blueSMSsender_New_PhoneBook_New.__init__
        kwds["style"] = wx.DEFAULT_FRAME_STYLE
        wx.Frame.__init__(self, parent, size=(400,120), *args, **kwds)
        self.blueSMSsender_New_PhoneBook_Panel = wx.Panel(self, -1)
        self.blueSMSsender_New_PhoneBook_STName = wx.StaticText(self.blueSMSsender_New_PhoneBook_Panel, -1, _("Name"))
        self.blueSMSsender_New_PhoneBook_TCName = wx.TextCtrl(self.blueSMSsender_New_PhoneBook_Panel, -1)
        self.blueSMSsender_New_PhoneBook_STNumber = wx.StaticText(self.blueSMSsender_New_PhoneBook_Panel, -1, _("Number"))
        self.blueSMSsender_New_PhoneBook_TCNumber = wx.TextCtrl(self.blueSMSsender_New_PhoneBook_Panel, -1, "")
        self.blueSMSsender_New_PhoneBook_ButtomOK = wx.Button(self.blueSMSsender_New_PhoneBook_Panel, wx.ID_OK, _("OK"))

        self.__set_properties()
        self.__do_layout()
        self.__do_evt()
        # end wxGlade

    def __set_properties(self):
        # begin wxGlade: blueSMSsender_New_PhoneBook_New.__set_properties
        self.SetTitle(_("New entry"))
        _icon = wx.EmptyIcon()
        _icon.CopyFromBitmap(wx.Bitmap("./data/New.ico", wx.BITMAP_TYPE_ANY))
        self.SetIcon(_icon)
        # end wxGlade
        self.Bind(wx.EVT_BUTTON, self.OnSave, id=wx.ID_OK)

    def __do_layout(self):
        # begin wxGlade: blueSMSsender_New_PhoneBook_New.__do_layout
        blueSMSsender_New_PhoneBook_Sizer = wx.BoxSizer(wx.VERTICAL)
        blueSMSsender_New_PhoneBook_VSizer = wx.BoxSizer(wx.VERTICAL)
        blueSMSsender_New_PhoneBook_GSizer = wx.GridSizer(2, 2, 0, 0)
        blueSMSsender_New_PhoneBook_GSizer.Add(self.blueSMSsender_New_PhoneBook_STName, 0, wx.ALL|wx.ALIGN_RIGHT|wx.ALIGN_CENTER_VERTICAL, 5)
        blueSMSsender_New_PhoneBook_GSizer.Add(self.blueSMSsender_New_PhoneBook_TCName, 0, wx.ALL|wx.ALIGN_LEFT|wx.EXPAND|wx.ALIGN_CENTER_VERTICAL, 5)
        blueSMSsender_New_PhoneBook_GSizer.Add(self.blueSMSsender_New_PhoneBook_STNumber, 0, wx.ALL|wx.ALIGN_RIGHT|wx.ALIGN_CENTER_VERTICAL, 5)
        blueSMSsender_New_PhoneBook_GSizer.Add(self.blueSMSsender_New_PhoneBook_TCNumber, 0, wx.ALL|wx.ALIGN_LEFT|wx.EXPAND|wx.ALIGN_CENTER_VERTICAL, 5)
        blueSMSsender_New_PhoneBook_VSizer.Add(blueSMSsender_New_PhoneBook_GSizer, 0, wx.EXPAND, 0)
        blueSMSsender_New_PhoneBook_VSizer.Add(self.blueSMSsender_New_PhoneBook_ButtomOK, 0, wx.ALL|wx.ALIGN_CENTER_HORIZONTAL|wx.ALIGN_CENTER_VERTICAL, 5)
        self.blueSMSsender_New_PhoneBook_Panel.SetSizer(blueSMSsender_New_PhoneBook_VSizer)
        blueSMSsender_New_PhoneBook_Sizer.Add(self.blueSMSsender_New_PhoneBook_Panel, 1, wx.EXPAND, 0)
        self.SetSizer(blueSMSsender_New_PhoneBook_Sizer)
        #blueSMSsender_New_PhoneBook_Sizer.Fit(self)
        #blueSMSsender_New_PhoneBook_Sizer.SetSizeHints(self)
        self.blueSMSsender_New_PhoneBook_TCName.SetFocus()
        self.Layout()
        self.Centre()
        # end wxGlade
        
    def __do_evt(self):
        self.Bind(wx.EVT_BUTTON, self.OnSave, id=wx.ID_OK)

    def OnSave(self,event):
        tmp=(self.blueSMSsender_New_PhoneBook_TCName.GetValue(),self.blueSMSsender_New_PhoneBook_TCNumber.GetValue())
        if tmp[0] == '':
            dlg = wx.MessageDialog(self,_('Name empty'),_('Error'),wx.OK | wx.ICON_ERROR)
            dlg.ShowModal()
        elif tmp[1] == '':
            dlg = wx.MessageDialog(self,_('Number empty'),_('Error'),wx.OK | wx.ICON_ERROR)
            dlg.ShowModal()
        else:
            self.pframe.OnInsert(tmp)
            self.Destroy()
# end of class blueSMSsender_New_PhoneBook_New


