#!/usr/bin/env python

#-------------------------------------------------------------------------------
# Copyright (c) 2009 Giuseppe Buzzanca (PiDy) <giuseppebuzzanca@gmail.com>.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
# 
# Contributors:
#     Giuseppe Buzzanca (PiDy) <giuseppebuzzanca@gmail.com> - initial API and implementation
#-------------------------------------------------------------------------------

from distutils.core import setup
from DistUtilsExtra.command import build_extra, build_i18n, build_icons
import glob, os

setup(
      name='bluesmssender',
      version='0.2.0',
      author='Giuseppe Buzzanca',
      author_email='giuseppebuzzanca@gmail.com',
      maintainer='Giuseppe Buzzanca',
      maintainer_email='giuseppebuzzanca@gmail.com',
      description='Application for send SMS from GSM phone throw bluetooth connection',
      long_description='This application allow to send SMS from phone connected throw bluetooth connection, is possible create a list of sms and modify two key word in the sms, <orario> and <nome>, that is changed from a list.',
      license='gpl',
      data_files=[(os.path.join('share','bluesmssender','lib'), glob.glob(os.path.join('.','lib','*.py'))),
                  (os.path.join('share','bluesmssender','help'), glob.glob(os.path.join('.','help','*'))),
                  (os.path.join('share','bluesmssender','data'), glob.glob(os.path.join('.','data','*.*'))),
                  (os.path.join('share','bluesmssender'), glob.glob(os.path.join('.','bluesmssender.py'))),
                  (os.path.join('share','bluesmssender'), glob.glob(os.path.join('.','LICENSE'))),
                  (os.path.join('share','applications'), glob.glob(os.path.join('.','applications','*.desktop'))),],
      scripts=[os.path.join('.','bluesmssender')],
      requires=['wx','bluetooth','serial'],
      cmdclass = { "build" : build_extra.build_extra,
                   "build_i18n" :  build_i18n.build_i18n,
                   "build_icons" :  build_icons.build_icons 
                 }
      )
